# Copyright 2008 Emulex.  All rights reserved.
# Use is subject to license terms.
#
#ident	"@(#)emlxs.conf	1.1	08/12/17 SMI"
#
#
#
# Solaris LightPulse emlxs driver: global initialized data.
#


# console-notices:  Sets the verbose level for driver notices to the console.
# console-warnings: Sets the verbose level for driver warnings to the console.
# console-errors:   Sets the verbose level for driver errors to the console.
#
# log-notices:  Sets the verbose level for driver notices to the system log file*.
# log-warnings: Sets the verbose level for driver warnings to the system log file*.
# log-errors:   Sets the verbose level for driver errors to the system log file*.
#
#       *NOTE:  The system log file is normally found at /var/adm/messages.
#
# Each parameter is a bit mask that enables/disables specific types of messages.
# If the bit is set, then the messages of that type are enabled.
#
# The available message types are listed below: 
#
# LOG_MISC        0x00000001     /* Misc events */
# LOG_DRIVER      0x00000002     /* Driver attach and detach events */
# LOG_INIT        0x00000004     /* HBA initialization events */
# LOG_MEM         0x00000008     /* Memory managment events */
# LOG_SLI         0x00000010     /* Service Level Interface (SLI) events */
# LOG_MBOX        0x00000020     /* Mailbox events */
# LOG_NODE        0x00000040     /* Node events */
# LOG_LINK        0x00000080     /* Link events */
# LOG_ELS         0x00000100     /* ELS events */
# LOG_PKT         0x00000200     /* General I/O packet events */
# LOG_FCP         0x00000400     /* FCP traffic events */
# LOG_TGTM        0x00000800     /* FCP target mode events */
# LOG_IP          0x00001000     /* IP traffic events */
# LOG_SFS         0x00002000     /* SFS events */
# LOG_IOCTL       0x00004000     /* IOCtl events */
# LOG_FIRMWARE    0x00008000     /* Firmware download events */
# LOG_CT          0x00010000     /* CT events */
# LOG_FCSP        0x00020000     /* FCSP events */
# LOG_RESERVED    0xfffc0000     /* Reserved for future use */
#
# Range:  Min:0  Max:0xffffffff  
#
# console-notices  = 0;  (Default)
# console-warnings = 0;  (Default)
# console-errors   = 0;  (Default)
#
# log-notices  = 0xffffffff;  (Default)
# log-warnings = 0xffffffff;  (Default)
# log-errors   = 0xffffffff;  (Default)
#
console-notices=0;
console-warnings=0;
console-errors=0;
log-notices=0xffffffff;
log-warnings=0xffffffff;
log-errors=0xffffffff;


# num-iocbs:  Sets the number of iocb buffers to allocate.
#
# Range:  Min:128  Max:10240  Default:1024
#
num-iocbs=1024;


# max-xfer-size:  Sets the maximum SCSI transfer size in bytes per IO
# This parameter is only used by the driver on i386 platforms.
# The driver does not limit transfer size on SPARC platforms.
#
# This parameter determines the scatter gather list buffer size.
# A pool of buffers is reallocated by the driver during boot.
# A larger transfer size requires a larger memory allocation.
#
#       Memory_model       max-xfer-size
#     ----------------------------------------
#       Small              131072 - 339968
#       Medium             339969 - 688128
#       Large              688129 - 1388544
#
# Range:  Min:131072   Max:1388544   Default:339968
#
max-xfer-size=339968;


# ub-bufs:  Sets the number of unsolicited buffers to be allocated.
#
# Range:  Min:40  Max:16320  Default:1000
#
ub-bufs=1000;


#
# +++ Variables relating to IP networking support. +++
#

# network-on:  Enable/Disable IP networking support in the driver.
#
# 0 = Disables IP networking suppport in the driver.
# 1 = Enables IP networking suppport in the driver.
#
# Range:  Min:0  Max:1  Default:1
#
network-on=1;


#
# +++ Fibre Channel specific parameters +++
#
# topology:  link topology for initializing the Fibre Channel connection.
#
#          0 = attempt loop mode, if it fails attempt point-to-point mode
#          2 = attempt point-to-point mode only
#          4 = attempt loop mode only 
#          6 = attempt point-to-point mode, if it fails attempt loop mode
#
# Set point-to-point mode if you want to run as an N_Port.
# Set loop mode if you want to run as an NL_Port.
#
# Range:  Min:0  Max:6  Default:0
#
topology=0;


# link-speed:  Sets the link speed setting for initializing the Fibre Channel 
#              connection.
#
#  0 = auto select
#  1 = 1 Gigabaud
#  2 = 2 Gigabaud
#  4 = 4 Gigabaud
#  8 = 8 Gigabaud
#
# Range:  Min:0  Max:8  Default:0
#
link-speed=0;
 
     
# ack0: Determines if ACK0 is used instead of ACK1 for class 2
#       acknowledgement.
#
# 0 = The driver will use ACK1 for class 2 acknowledgement.
# 1 = The driver will use ACK0 for class 2 acknowledgement.
#
# Range:  Min:0  Max:1  Default:0
#
ack0=0;


# cr-delay: Sets the coalesce response delay in the adapter.
#
# This value specifies a count of milliseconds after which an interrupt 
# response is generated if cr-count has not been satisfied. This value is 
# set to 0 to disable the Coalesce Response feature as default. 
#
# Range:  Min:0  Max:63  Default:0
#
cr-delay=0;


# cr-count: Sets the coalesce response count in the adapter.
#
# This value specifies a count of I/O completions after which an interrupt 
# response is generated. This feature is disabled if cr-delay is set to 0.
#
# Range:  Min:1  Max:255  Default:1
#
cr-count=1;


# assign-alpa: Sets a preferred ALPA for the adapter.
#
# This is only valid if topology is loop. A zero setting means no preference.
# If multiple adapter instances on the same host are on the same loop, 
# you will want to set this value differently for each adapter.
#
# For example: emlxs0-assign-alpa=0x01;  assigns ALPA 0x01 to adapter 0
#              emlxs1-assign-alpa=0x02;  assigns ALPA 0x02 to adapter 1
#              emlxs2-assign-alpa=0x04;  assigns ALPA 0x04 to adapter 2
#
# Range:  Min:0x00  Max:0xef  Default:0x00  (valid ALPA's only)
# 
assign-alpa=0x00;


# adisc-support:  Sets the ADISC login support level.
#
# This sets the level of driver support for the Fibre Channel ADISC 
# login I/O recovery method.
# 
# 0 = No support. Flush active I/O's for all FCP target devices at link down.
# 1 = Partial support. Flush I/O's for non-FCP2 target devices at link down.
# 2 = Full support. Hold active I/O's for all devices at link down.
#
# Range:  Min:0  Max:2  Default:1
#
adisc-support=1;


# pm-support:  Enable/Disable power management support in the driver.
# 
# 0 = Disables power management support in the driver.
# 1 = Enables power management support in the driver.
#
# Range:  Min:0  Max:1  Default:0
#
pm-support=0;


# num-nodes:  Number of fibre channel nodes (NPorts) the driver will support.
# 
# 0 = Indicates auto detect limit of adapter.
#
# Range:  Min:0  Max:4096  Default:0
#
num-nodes=0;


# pci-max-read:  Sets the PCI-X max memory read byte count on the adapter.
#
# This value controls the adapter's max PCI-X memory read count.
# On Sunfire x4100/4200 systems this parameter must be changed to 
# 1024 bytes.  Currently, this parameter should only be modified on 
# Sunfire x4100/4200 systems due to the unique nature of the PCI-X bus 
# on these systems, otherwise it should be left as default.
#
# Options:  512, 1024, 2048, 4096
#
# Range:  Min:512  Max:4096  Default:2048
#
# *Uncomment this parameter for Sunfire x4100/4200 systems only
#pci-max-read=1024;


# linkup-delay:  Sets the linkup delay period (seconds) after initialization.
#
# This value controls how long the driver waits for the Fibre Channel 
# link to come up after an adapter reset before continuing normal operation.
#
# Range:  Min:0  Max:60  Default:10
#
linkup-delay=10;


# enable-npiv:  Enables NPIV support in the driver.
#
# Requires SLI3 mode support in the adapter firmware.
#
# Range:  Min:0  Max:1  Default:0
#
enable-npiv=0;


# vport-restrict-login:  Restricts login to virtual ports to conserve resources.
#
# Requires SLI3 mode support in the adapter firmware.
# Requires enable-npiv parameter to be set to 1.
#
# Range:  Min:0  Max:1  Default:1
#
vport-restrict-login=1;


# vport: Virtual port registration table.
#        The enable-npiv must be set to 1.  
#  
# The vport table may have any number of comma delimited entries.
# Each entry must be of the form:   
#
#   "PHYS_WWPN:VPORT_WWNN:VPORT_WWPN:VPORT_ID"
#
#   PHYS_WWPN  = World Wide Port Name of adapter's physical port
#   VPORT_WWNN = Desired World Wide Node Name of virtual port
#   VPORT_WWPN = Desired World Wide Port Name of virtual port
#   VPORT_ID   = Desired virtual port id (1 to max vports)
#                The port ids must start at 1 and increment by 1
#                with no gaps in the count.
#       
# Example:
#
# vport="10000000c9123456:28010000c9123456:20010000c9123456:1",
#       "10000000c9123456:28020000c9123456:20020000c9123456:2",
#       "10000000c9123457:28010000c9123457:20010000c9123457:1",
#       "10000000c9123457:28020000c9123457:20020000c9123457:2",
#       "10000000c9123457:28030000c9123457:20030000c9123457:3";
#    


# enable-auth:  Enables DHCHAP support in the driver.
#
# Range:  Min:0  Max:1  Default:0
#
enable-auth=0;







